Description

Current Redmine is great in terms of defining and filtering what I want to watch and not-watch. This works great for me as a

developer to keep a good focus on things I am involved in.

However, when a project manager wants to keep appraise to events towards other people the workflow is not that much automatic.

Here are few challenges:

1. Every time an issue is registered - watchers needs to be added for the same.

2. There is no watch events when Attributes of project changes

New members added/removed, attributes of project's change, etc.

New document etc.

3. Entire group cann't be a watcher (as of now) to add all these passive users as watchers in on-click.

4. Changes in the roadmap which involves comprehensive change rather than per issue updates.

Typically, this results in ambiguity as to why did I got this message but didn't got the other one? (specially from customer or external

team point of view)

Solution:

It would be best that project manager can define 'project level watchers' - which added once, all new activities around the project

(new issues, Roadmap changes, project attribute changes etc.) should keep coming uniformly.

I think this would be certainly useful when there are large number of teams in different projects and many project's in the

organization.

Related issues:

Related to Redmine - Feature #1707: Sending e-mail to roles involved on statu... New 2008-07-29

Related to Redmine - Feature #4386: Select all for watchers New 2009-12-11

History

#1 - 2013-03-25 03:46 - Dipan Mehta

Any feedback on this?

Also, set #1707 as a related feature.

#2 - 2013-07-22 14:17 - André Bachmann

I also wish for a feature in Redmine which allows me to add groups as watchers. Using groups as assignees is working, but adding groups as

watchers isn't.

#3 - 2019-02-11 04:50 - Go MAEDA

- Category set to Email notifications
